/*-
 * Copyright (c) 2007
 * Tatsuya Kudoh(CDR/TK),ROYALPANDA.    All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

package{
	import flash.ui.*

	public class Joy {
		static public const UP:uint = 1;
		static public const DOWN:uint = 2;
		static public const RIGHT:uint = 4;
		static public const LEFT:uint = 8;
		static public const A:uint = 16;
		static public const B:uint = 32;
		static public const C:uint = 64;

		static protected const CODE_H:uint = "H".charCodeAt();
		static protected const CODE_J:uint = "J".charCodeAt();
		static protected const CODE_K:uint = "K".charCodeAt();
		static protected const CODE_L:uint = "L".charCodeAt();
		static protected const CODE_Z:uint = "Z".charCodeAt();
		static protected const CODE_X:uint = "X".charCodeAt();
		static protected const CODE_C:uint = "C".charCodeAt();
		static protected const CODE_space:uint = " ".charCodeAt();

		static public function fromKeyCode( code:uint ):uint {
			switch( code ){
			case Keyboard.LEFT:
			case CODE_H:
				return LEFT;
				break;

			case Keyboard.RIGHT:
			case CODE_L:
				return RIGHT;
				break;

			case Keyboard.UP:
			case CODE_K:
				return UP;
				break;

			case Keyboard.DOWN:
			case CODE_J:
				return DOWN;
				break;

			case CODE_Z:
			case CODE_space:
				return A;
				break;

			case CODE_X:
				return B;
				break;

			case CODE_C:
				return C;
				break;
			}
			return 0;
		}
	}
}
